petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMallocClear

Resets the routines used to do mallocs and frees to the defaults.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocClear(void)

Not Collective

### Notes

In general one should never run a PETSc program with different malloc() and free() settings for different parts; this is because one NEVER wants to free() an address that was malloced by a different memory management system

### Level

developer

### Location

src/sys/memory/mal.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages